Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 79)
+++ palm/trunk/SCRIPTS/mrun	(revision 82)
@@ -114,4 +114,9 @@
      # 29/03/07 - Siggi  - global revision transfered to batch job by new
      #                     option -G
+     # 30/03/07 - Siggi  - compilation "by hand" removed, cpp-directives/options
+     #                     + netcdf/dvrp-options are read from configuration
+     #                     file, host identifier (local_host) is read from
+     #                     config file, code related to ftp filetransfer
+     #                     removed (incl. option -f)
 
 
@@ -135,4 +140,5 @@
  config_file=.mrun.config
  cpp_opts=""
+ cpp_options=""
  cpumax=0
  cpurest=0
@@ -148,5 +154,4 @@
  executable=""
  execution_error=false
- filetransfer_protocol=""
  fimm=false
  fname=test
@@ -172,6 +177,7 @@
  done
  module_files=""
- MODULE_OPTIONS=""
  mrun_script_name=$mc
+ netcdf_inc=""
+ netcdf_lib=""
  netcdf_support=false
  node_usage=default
@@ -213,5 +219,4 @@
  transfer_problems=false
  usern=$LOGNAME
- use_makefile=""
  working_directory=`pwd`
  TOPT=""
@@ -335,31 +340,8 @@
 
 
-    # EVTL. NAMEN DES LOKALEN RECHNERS MIT UEBERGREIFENDEM NAMEN VERSEHEN
- case  $localhost_realname  in
-     (atmos)                localhost=lcide;;
-     (bora|breva|elephanta|gallego|gregale|hababai|irifi|levanto|maestro|orkan|ostria|poniente|quanero|scirocco|vorias)  localhost=lcmuk;;
-     (breg*-en0|berni*-en0) localhost=ibmb; archive_system=tivoli;;
-     (cs*)                  localhost=nech; archive_system=ut;;
-     (fimm.bccs.uib.no)     localhost=lcmuk;;
-     (gate|n-sx)            PATH=$PALM_BIN:$PATH:/usr/bin/nqsII; localhost=neck;;
-     (ground.yonsei.ac.kr)  localhost=decalpha;;
-     (gfdl3.yonsei.ac.kr)   localhost=decalpha;;
-     (gfdl5)                localhost=ibmy;;
-     (hreg*-en0|hanni*-en0) localhost=ibmh; archive_system=tivoli;;
-     (nobel*)               localhost=ibms;;
-     (sun1|sun2)            localhost=unics;;
-     (tgg*)                 localhost=lctit;;
-     (*)                    printf "\n  +++ Host \"$localhost_realname\" not admitted for mrun \n"
-                            locat=localhost; exit;;
- esac
-
- [[ $localhost_realname = scirocco ]]  &&  scirocco=true
- [[ $localhost_realname = fimm.bccs.uib.no ]]  &&  fimm=true
-
-
- 
+
     # SHELLSCRIPT-OPTIONEN EINLESEN UND KOMMANDO NEU ZUSAMMENSETZEN, FALLS ES
     # FUER FOLGEJOBS BENOETIGT WIRD
- while  getopts  :a:AbBc:Cd:D:f:FG:h:H:i:IkK:m:M:n:o:Op:P:q:r:R:s:St:T:u:U:vxX: option
+ while  getopts  :a:AbBc:Cd:D:FG:h:H:i:IkK:m:M:n:o:Op:P:q:r:R:s:St:T:u:U:vxX: option
  do
    case  $option  in
@@ -372,5 +354,4 @@
        (d)   fname=$OPTARG; mc="$mc -d$OPTARG";;
        (D)   cpp_opts="$cpp_opts $OPTARG"; mc="$mc -D$OPTARG";;
-       (f)   filetransfer_protocol=$OPTARG; mc="$mc -f$OPTARG";;
        (F)   job_on_file="-D"; mc="$mc -F";;
        (G)   global_revision=$OPTARG; mc="$mc -G'$OPTARG'";;
@@ -426,5 +407,4 @@
     printf "\n        -d    base name of files attached to program   test"
     printf "\n        -D    preprocessor(cpp)-directives             \"\" "
-    printf "\n        -f    filetransfer protocol (ftp or scp)       depending on -h"
     printf "\n        -F    create remote job file only              ---"
     printf "\n        -h    execution host                           $localhost_realname"
@@ -472,4 +452,56 @@
 
 
+
+    # PRUEFEN, OB KONFIGURATIONS-DATEI VORHANDEN
+ if [[ ! -f $config_file ]]
+ then
+    printf "\n\n  +++ configuration file: "
+    printf "\n           $config_file"
+    printf "\n      does not exist"
+    locat=connect; exit  
+ fi
+
+
+    # HOST-IDENTIFIER (local_host) AUS KONFIGURATIONSDATEI BESTIMMEN
+ line=""
+ grep  "%host_identifier"  $config_file  >  tmp_mrun
+ while read line
+ do
+    if [[ "$line" != ""  ||  $(echo $line | cut -c1) != "#" ]]
+    then
+       HOSTNAME=`echo $line | cut -d" " -s -f2`
+       host_identifier=`echo $line | cut -d" " -s -f3`
+       if [[ "$HOSTNAME" = $localhost_realname ]]
+       then
+          localhost=$host_identifier
+          break
+       fi
+    fi
+ done < tmp_mrun
+
+ if [[ "$localhost" = "" ]]
+ then
+    printf "\n\n  +++ no host identifier found in configuration file \"$config_file\""
+    printf "\n      for local host \"$localhost_realname\"."
+    printf "\n      Please add line"
+    printf "\n      \"\%host_identifier $localhost_realname <identifier>\""
+    printf "\n      to the configuration file."
+    locat=localhost; exit
+ fi
+
+
+
+    # HOSTSPEZIFISCHE VARIABLEN SETZEN
+ case  $localhost_realname  in
+     (breg*-en0|berni*-en0)  archive_system=tivoli;;
+     (cs*)                   archive_system=ut;;
+     (fimm.bccs.uib.no)      fimm=true;;
+     (gate|n-sx)             PATH=$PALM_BIN:$PATH:/usr/bin/nqsII;;
+     (hreg*-en0|hanni*-en0)  archive_system=tivoli;;
+     (scirocco)              scirocco=true;;
+ esac
+
+
+ 
     # BASISNAME DER INPUT-DATEIEN GLEICH ALLGEMEINEM BASISNAMEN SETZEN,
     # WENN NICHT VOM BENUTZER ANDERS BESTIMMT
@@ -555,14 +587,4 @@
 
 
-    # PRUEFEN, OB KONFIGURATIONS-DATEI VORHANDEN
- if [[ ! -f $config_file ]]
- then
-    printf "\n\n  +++ configuration file: "
-    printf "\n           $config_file"
-    printf "\n      does not exist"
-    locat=connect; exit  
- fi
-
-
 
     # LESEN UND INTERPRETIEREN DER KONFIGURATIONS-DATEI VOM SHELLSCRIPT AUS
@@ -1030,21 +1052,4 @@
  fi
 
-    # DEFAULT-DATEITRANSFER-PROTOKOLL FESTLEGEN
- if [[ "$filetransfer_protocol" = "" ]]
- then
-    case  $host  in
-        (nech|neck|ibm|ibmb|ibmh|ibms|ibmy|lctit)  filetransfer_protocol=scp;;
-        (*)              filetransfer_protocol=ftp;;
-    esac
- fi
-
-    # PRUEFEN, OB ZULAESSIGES DATEITRANSFER-PROTOKOLL GEWAEHLT WURDE
- if [[ "$filetransfer_protocol" != ftp  &&  "$filetransfer_protocol" != scp ]]
- then
-    printf "\n"
-    printf "\n  +++ illegal value \"$filetransfer_protocol\" for Option -f"
-    printf "\n      only \"ftp\" or \"scp\" are allowed"
-    locat=options; exit
- fi
 
 
@@ -1075,30 +1080,29 @@
 
     # EVTL. NETCDF-UNTERSTUETZUNG SETZEN
- case  $host  in
-     (decalpha)   netcdf_support=true
-                  netcdf_path=/usr/local/netcdf-3.5.1;;
-     (ibmb|ibmh)  netcdf_support=true
-                  netcdf_path=/aws/dataformats/netcdf-3.6.0-p1/64-32;;
-     (ibms)       netcdf_support=true
-                  netcdf_path=/applic/lib/NETCDF64;;
-     (ibmy)       netcdf_support=true
-                  netcdf_path=/usr1/users/raasch/pub/netcdf-3.6.0-p1;;
-     (lcmuk)      netcdf_support=true
-                  if [[ $scirocco = true ]]
-                  then
-                     netcdf_path=/opt/netcdf/3.6.2-beta4
-                  elif [[ $fimm = true ]]
-                  then
-                     netcdf_path=/local/netcdf
-                  else
-                     netcdf_path=/muksoft/packages/netcdf/linux
-                  fi;;
-     (lctit)      netcdf_support=true
-                  netcdf_path=/home2/usr5/mkanda/netcdf-3.6.2;;
-     (nech)       netcdf_support=true
-                  netcdf_path=/pool/SX-6/netcdf/netcdf-3.6.0-p1;;
-     (neck)       netcdf_support=true
-                  netcdf_path=/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1;;
- esac
+# case  $host  in
+#     (decalpha)   netcdf_support=true
+#                  netcdf_path=/usr/local/netcdf-3.5.1;;
+#     (ibmb|ibmh)  netcdf_support=true
+#                  netcdf_path=/aws/dataformats/netcdf-3.6.0-p1/64-32;;
+#     (ibms)       netcdf_support=true
+#                  netcdf_path=/applic/lib/NETCDF64;;
+#     (ibmy)       netcdf_support=true
+#                  netcdf_path=/usr1/users/raasch/pub/netcdf-3.6.0-p1;;
+#     (lcmuk)      if [[ $scirocco = true ]]
+#                  then
+#                     netcdf_path=/opt/netcdf/3.6.2-beta4
+#                  elif [[ $fimm = true ]]
+#                  then
+#                     netcdf_path=/local/netcdf
+#                  else
+#                     netcdf_path=/muksoft/packages/netcdf/linux
+#                  fi;;
+#     (lctit)      netcdf_support=true
+#                  netcdf_path=/home2/usr5/mkanda/netcdf-3.6.2;;
+#     (nech)       netcdf_support=true
+#                  netcdf_path=/pool/SX-6/netcdf/netcdf-3.6.0-p1;;
+#     (neck)       netcdf_support=true
+#                  netcdf_path=/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1;;
+# esac
 
 
@@ -1626,5 +1630,5 @@
        # MAKEFILE AUF VORHANDENSEIN PRUEFEN UND KOPIEREN
        # BEI RESTART-LAEUFEN LIEGT ES SCHON IM VERZEICHNIS SOURCES_FOR_RUN...
-    if [[ "$use_makefile" = true  &&  "$restart_run" != true ]]
+    if [[ "$restart_run" != true ]]
     then
        [[ "$makefile" = "" ]]  &&  makefile=$source_path/Makefile
@@ -1632,5 +1636,4 @@
        then
           printf "\n  +++ file \"$makefile\" does not exist"
-          printf "\n      provide this file or set \"use_makefile=false\" in configuration file\n"
           locat=make; exit
        else
@@ -1651,32 +1654,35 @@
     if [[ $(echo $localhost | cut -c1-3) = ibm ]]
     then
-       PPOPTS=-Dibm=ibm
+       cpp_options="${cpp_options},-D__ibm=__ibm"
     elif [[ $(echo $localhost | cut -c1-3) = nec ]]
     then
-       PPOPTS=-Dnec
+       cpp_options="$cpp_options -D__nec"
+    elif [[ $(echo $localhost | cut -c1-2) = lc ]]
+    then
+       cpp_options="$cpp_options -D__lc"
     else
-       PPOPTS=-D$localhost
+       cpp_options="$cpp_options -D__$localhost"
     fi
     if [[ $(echo $localhost | cut -c1-3) = ibm ]]
     then
-       [[ -n $cond1 ]]               &&  PPOPTS="$PPOPTS -D$cond1=$cond1"
-       [[ -n $cond2 ]]               &&  PPOPTS="$PPOPTS -D$cond2=$cond2"
-       if [[ $netcdf_support = true ]]
-       then
-          PPOPTS="$PPOPTS -Dnetcdf=netcdf"
-          [[ $localhost != ibms ]]      &&  PPOPTS="$PPOPTS -Dnetcdf_64bit=netcdf_64bit"
-       fi
-       if [[ $localhost = ibmy ]]
-       then
-          PPOPTS="$PPOPTS -Dibmy_special=ibmy_special"
-       fi
+       [[ -n $cond1 ]]  &&  cpp_options="${cpp_options},-D__$cond1=__$cond1"
+       [[ -n $cond2 ]]  &&  cpp_options="${cpp_options},-D__$cond2=__$cond2"
+#       if [[ $netcdf_support = true ]]
+#       then
+#          PPOPTS="$PPOPTS -Dnetcdf=netcdf"
+#          [[ $localhost != ibms ]]      &&  PPOPTS="$PPOPTS -Dnetcdf_64bit=netcdf_64bit"
+#       fi
+#       if [[ $localhost = ibmy ]]
+#       then
+#          PPOPTS="$PPOPTS -Dibmy_special=ibmy_special"
+#       fi
     else
-       [[ -n $cond1 ]]               &&  PPOPTS="$PPOPTS -D$cond1"
-       [[ -n $cond2 ]]               &&  PPOPTS="$PPOPTS -D$cond2"
-       if [[ $netcdf_support = true ]]
-       then
-          PPOPTS="$PPOPTS -Dnetcdf"
-          [[ $localhost != decalpha  &&  $localhost != lctit ]]  &&  PPOPTS="$PPOPTS -Dnetcdf_64bit"
-       fi
+       [[ -n $cond1 ]]  &&  cpp_options="$cpp_options -D__$cond1"
+       [[ -n $cond2 ]]  &&  cpp_options="$cpp_options -D__$cond2"
+#       if [[ $netcdf_support = true ]]
+#       then
+#          PPOPTS="$PPOPTS -Dnetcdf"
+#          [[ $localhost != decalpha  &&  $localhost != lctit ]]  &&  PPOPTS="$PPOPTS -Dnetcdf_64bit"
+#       fi
     fi
     if [[ -n $package_list ]]
@@ -1688,7 +1694,7 @@
              if [[ $package != "dvrp_graphics+1PE" ]]
              then
-                PPOPTS="$PPOPTS -D$package=$package"
+                cpp_options="${cpp_options},-D__$package=__$package"
              else
-                PPOPTS="$PPOPTS -Ddvrp_graphics"
+                cpp_options="${cpp_options},-D__dvrp_graphics=__dvrp_graphics"
                 export use_seperate_pe_for_dvrp_output=true
              fi
@@ -1696,7 +1702,7 @@
              if [[ $package != "dvrp_graphics+1PE" ]]
              then
-                PPOPTS="$PPOPTS -D$package"
+                cpp_options="$cpp_options -D__$package"
              else
-                PPOPTS="$PPOPTS -Ddvrp_graphics"
+                cpp_options="$cpp_options -D__dvrp_graphics"
                 export use_seperate_pe_for_dvrp_output=true
              fi
@@ -1708,32 +1714,34 @@
        for  popts  in  $cpp_opts
        do
-          PPOPTS="$PPOPTS -D$popts"
+          if [[ $(echo $localhost | cut -c1-3) = ibm ]]
+          then
+             cpp_options="${cpp_options},-D__$popts=__$popts"
+          else
+             cpp_options="$cpp_options -D__$popts"
+          fi
        done
     fi
 
-       # -D ARGUMENTEN EINEN DOPPELTEN UNTERSTRICH VORANSTELLEN
-    PPOPTS=`echo " $PPOPTS" | sed 's/ -D/ -D__/g'`
-
        # OPTION ZUM EINSCHALTEN DES PRAEPROZESSORS HINZUFUEGEN
-    if [[ $host = decalpha ]]
-    then
-       C_PPOPTS="-cpp  -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION $PPOPTS"
-    elif [[ $(echo $host | cut -c1-3) = ibm ]]
-    then
-          # blanks in PPOPTS muessen durch "," ersetzt werden
-       PPOPTS=`echo $PPOPTS | sed 's/ -/,-/g'`
-       C_PPOPTS="-qsuffix=cpp=f90 -WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,$PPOPTS"
-    elif [[ $host = lcmuk ]]
-    then
-       C_PPOPTS="$PPOPTS -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-    elif [[ $host = lctit ]]
-    then
-       C_PPOPTS="$PPOPTS -Mpreprocess -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-    elif [[ $(echo $host | cut -c1-3) = nec ]]
-    then
-       C_PPOPTS="-Ep -DMPI_REAL=MPI_REAL8 -DMPI_2REAL=MPI_2REAL8 -DSCFFT=dzfft -DCSFFT=zdfft $PPOPTS"
-    else
-       C_PPOPTS="$PPOPTS"
-    fi
+#    if [[ $host = decalpha ]]
+#    then
+#       C_PPOPTS="-cpp  -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION $PPOPTS"
+#    elif [[ $(echo $host | cut -c1-3) = ibm ]]
+#    then
+#          # blanks in PPOPTS muessen durch "," ersetzt werden
+#       PPOPTS=`echo $PPOPTS | sed 's/ -/,-/g'`
+#       C_PPOPTS="-qsuffix=cpp=f90 -WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,$PPOPTS"
+#    elif [[ $host = lcmuk ]]
+#    then
+#       C_PPOPTS="$PPOPTS -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
+#    elif [[ $host = lctit ]]
+#    then
+#       C_PPOPTS="$PPOPTS -Mpreprocess -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
+#    elif [[ $(echo $host | cut -c1-3) = nec ]]
+#    then
+#       C_PPOPTS="-Ep -DMPI_REAL=MPI_REAL8 -DMPI_2REAL=MPI_2REAL8 -DSCFFT=dzfft -DCSFFT=zdfft $PPOPTS"
+#    else
+#       C_PPOPTS="$PPOPTS"
+#    fi
 
  else
@@ -1766,26 +1774,24 @@
  if [[ "$compiler_name" = "" ]]
  then
-    case  $localhost  in
-        (unics)                                 compiler_name=f77;;
-        (lcmuk)                                 if [[ "$cond1" = parallel  ||  "$cond2" = parallel ]]
-                                                then
-                                                   compiler_name=mpif90
-                                                else
-                                                   compiler_name=ifc
-                                                fi;;
-        (lctit)                                 if [[ "$cond1" = parallel  ||  "$cond2" = parallel ]]
-                                                then
-                                                   compiler_name=mpif90
-                                                   echo ">>> compiler=mpif90"
-                                                else
-                                                   compiler_name=pgf95
-                                                   echo ">>> compiler=pgf95"
-                                                fi;;
-        (nech)                                  compiler_name=sxmpif90;;
-        (decalpha)                              compiler_name=f95;;
-        (ibm|ibmb|ibmh|ibms|ibmy)               compiler_name=mpxlf95_r;;
-        (*)      printf "\n  +++ unknown host name: $localhost \n";
-                 locat=localhost; exit;;
-    esac
+
+    printf "\n  +++ no compiler specified for \"$localhost $cond1 $cond2\""
+    locat=compiler_name; exit
+
+#    case  $localhost  in
+#        (unics)                                 compiler_name=f77;;
+#        (lctit)                                 if [[ "$cond1" = parallel  ||  "$cond2" = parallel ]]
+#                                                then
+#                                                   compiler_name=mpif90
+#                                                   echo ">>> compiler=mpif90"
+#                                                else
+#                                                   compiler_name=pgf95
+#                                                   echo ">>> compiler=pgf95"
+#                                                fi;;
+#        (nech)                                  compiler_name=sxmpif90;;
+#        (decalpha)                              compiler_name=f95;;
+#        (ibm|ibmb|ibmh|ibms|ibmy)               compiler_name=mpxlf95_r;;
+#        (*)      printf "\n  +++ unknown host name: $localhost \n";
+#                 locat=localhost; exit;;
+#    esac
  fi
 
@@ -1846,6 +1852,6 @@
 
     # COMPILE- UND LINK-OPTIONEN BESTIMMEN
- FOPTS="$fopts"
- LOPTS="$lopts"
+ fopts="$fopts $netcdf_inc $dvrp_inc"
+ lopts="$lopts $netcdf_lib $dvrp_lib"
  ROPTS="$ropts"
  if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lctit )  &&  -n $numprocs ]]
@@ -1857,63 +1863,63 @@
     # BEI VERWENDUNG VON DVRP-SOFTWARE MUSS ENTSPECHENDE GRAFIK-BIBLIOTHEK
     # MIT EINGEBUNDEN WERDEN
- if [[ -n $package_list ]]
- then
-    if [[ $(echo $package_list | grep -c dvrp_graphics) != 0 ]]
-    then
-
-          # DVRP-GRAFIK GIBT ES NUR AUF DER IBM AM HLRN, AUF NECH/NECK UND
-          # DEM NOTEBOOK SCIROCCO
-       if [[ $host != ibmh  &&  $host != nech  &&  $host != neck  &&  $host != lcmuk  &&  "$local_compile" != true ]]
-       then
-          printf "\n"
-          printf "\n  +++ option -p with package \"dvrp_graphics\" only allowed on nech and ibmh"
-          locat=parameter; exit
-       fi
-       if [[ $host = ibmh ]]
-       then
-          if [[ $cond1 = debug  ||  $cond2 = debug ]]
-          then
-             FOPTS="-I/home/h/hzazchmi/lib/debug  $FOPTS"
-             LOPTS="$LOPTS -L/home/h/hzazchmi/lib/debug -lDVRP2 -lftp"
-          else
-             FOPTS="-I/home/h/nikevita/lib_stable/optimize  $FOPTS"
-             LOPTS="$LOPTS -L/home/h/nikevita/lib_stable/optimize -lDVRP2 -lftp"
-          fi
-       elif [[ $host = nech ]]
-       then
-          FOPTS="-I/import/ds9b/ipf2/b/b323014/lib/optimize  $FOPTS"
-          LOPTS="$LOPTS -L/import/ds9b/ipf2/b/b323014/lib/optimize -lDVRP2 -lftp"
-       elif [[ $host = neck ]]
-       then
-          FOPTS="-I/home/DSRC/NC/tatuyama/pub/dvrp  $FOPTS"
-          LOPTS="$LOPTS -L/home/DSRC/NC/tatuyama/pub/dvrp -lDVRP2 -lftp"
-       elif [[ $host = lcmuk ]]
-       then
-          FOPTS="-I/usr/local/lib/dvrp/optimize  $FOPTS"
-          LOPTS="$LOPTS -L/usr/local/lib/dvrp/optimize -lDVRP2 -lftp"
-       fi
-    fi
- fi
+# if [[ -n $package_list ]]
+# then
+#    if [[ $(echo $package_list | grep -c dvrp_graphics) != 0 ]]
+#    then
+#
+#          # DVRP-GRAFIK GIBT ES NUR AUF DER IBM AM HLRN, AUF NECH/NECK UND
+#          # DEM NOTEBOOK SCIROCCO
+#       if [[ $host != ibmh  &&  $host != nech  &&  $host != neck  &&  $host != lcmuk  &&  "$local_compile" != true ]]
+#       then
+#          printf "\n"
+#          printf "\n  +++ option -p with package \"dvrp_graphics\" only allowed on nech and ibmh"
+#          locat=parameter; exit
+#       fi
+#       if [[ $host = ibmh ]]
+#       then
+#          if [[ $cond1 = debug  ||  $cond2 = debug ]]
+#          then
+#             fopts="-I/home/h/hzazchmi/lib/debug  $fopts"
+#             lopts="$lopts -L/home/h/hzazchmi/lib/debug -lDVRP2 -lftp"
+#          else
+#             fopts="-I/home/h/nikevita/lib_stable/optimize  $fopts"
+#             lopts="$lopts -L/home/h/nikevita/lib_stable/optimize -lDVRP2 -lftp"
+#          fi
+#       elif [[ $host = nech ]]
+#       then
+#          fopts="-I/import/ds9b/ipf2/b/b323014/lib/optimize  $fopts"
+#          lopts="$lopts -L/import/ds9b/ipf2/b/b323014/lib/optimize -lDVRP2 -lftp"
+#       elif [[ $host = neck ]]
+#       then
+#          fopts="-I/home/DSRC/NC/tatuyama/pub/dvrp  $fopts"
+#          lopts="$lopts -L/home/DSRC/NC/tatuyama/pub/dvrp -lDVRP2 -lftp"
+#       elif [[ $host = lcmuk ]]
+#       then
+#          fopts="-I/usr/local/lib/dvrp/optimize  $fopts"
+#          lopts="$lopts -L/usr/local/lib/dvrp/optimize -lDVRP2 -lftp"
+#       fi
+#    fi
+# fi
 
 
     # EVTL. EINBINDEN DER NETCDF-BIBLIOTHEK
- if [[ $netcdf_support = true ]]
- then
-    case  $host  in
-       (decalpha)         FOPTS="-I${netcdf_path}/include  $FOPTS"
-                          LOPTS="$LOPTS -L${netcdf_path}/lib -lnetcdf";;
-       (ibmb|ibmh)        FOPTS="-I ${netcdf_path}/include-64  $FOPTS"
-                          LOPTS="$LOPTS -L${netcdf_path}/lib -lnetcdf";;
-       (ibms)             FOPTS="-I /applic/netcdf64/src/f90  $FOPTS"
-                          LOPTS="$LOPTS -L${netcdf_path} -lnetcdf";;
-       (ibmy)             FOPTS="-I ${netcdf_path}/include  $FOPTS"
-                          LOPTS="$LOPTS -L${netcdf_path}/lib -lnetcdf";;
-       (lcmuk|nech|neck)  FOPTS="-I ${netcdf_path}/include  $FOPTS"
-                          LOPTS="$LOPTS -L${netcdf_path}/lib -lnetcdf";;
-       (lctit)            FOPTS="-I ${netcdf_path}/include  $FOPTS"
-                          LOPTS="$LOPTS -L${netcdf_path}/lib -lnetcdf";;
-
-    esac
- fi
+# if [[ $netcdf_support = true ]]
+# then
+#    case  $host  in
+#       (decalpha)   fopts="-I${netcdf_path}/include  $fopts"
+#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
+#       (ibmb|ibmh)  fopts="-I ${netcdf_path}/include-64  $fopts"
+#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
+#       (ibms)       fopts="-I /applic/netcdf64/src/f90  $fopts"
+#                    lopts="$lopts -L${netcdf_path} -lnetcdf";;
+#       (ibmy)       fopts="-I ${netcdf_path}/include  $fopts"
+#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
+#       (nech|neck)  fopts="-I ${netcdf_path}/include  $fopts"
+#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
+#       (lctit)      fopts="-I ${netcdf_path}/include  $fopts"
+#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
+#
+#    esac
+# fi
 
     # PRUEFEN DER CPU-ZEIT. (CPUMAX WIRD ALS ENV-VARIABLE VOM HAUTPRO-
@@ -2014,7 +2020,7 @@
  if [[ $do_compile = true ]]
  then
-    spalte1=cpp-directives:; spalte2=$C_PPOPTS
+    spalte1=cpp-directives:; spalte2=$cpp_options
     printf "| $spalte1$spalte2 | \n"
-    zeile=$(echo "$C_PPOPTS" | cut -c41-)
+    zeile=$(echo "$cpp_options" | cut -c41-)
     while [[ "$zeile" != "" ]]
     do
@@ -2025,7 +2031,7 @@
     done
 
-    spalte1=compiler-options:; spalte2="$FOPTS $MODULE_OPTIONS"
+    spalte1=compiler-options:; spalte2="$fopts"
     printf "| $spalte1$spalte2 | \n"
-    zeile=$(echo "$FOPTS $MODULE_OPTIONS" | cut -c41-)
+    zeile=$(echo "$fopts" | cut -c41-)
     while [[ "$zeile" != "" ]]
     do
@@ -2036,7 +2042,7 @@
     done
 
-    spalte1=linker-options:; spalte2=$LOPTS
+    spalte1=linker-options:; spalte2=$lopts
     printf "| $spalte1$spalte2 | \n"
-    zeile=$(echo "$LOPTS" | cut -c41-)
+    zeile=$(echo "$lopts" | cut -c41-)
     while [[ "$zeile" != "" ]]
     do
@@ -2049,14 +2055,4 @@
     spalte1="main program":; spalte2=$mainprog
     printf "| $spalte1$spalte2 | \n"
-    if [[ "$use_makefile" = true ]]
-    then
-       spalte1="using \"make\" for com"; spalte2="piling and linking"
-       printf "| $spalte1$spalte2 | \n"
-    fi
-#    if [[ $vtk_graphics = true ]]
-#    then
-#       spalte1=""; spalte2="wird in C++ - Programm eingebunden (vtk)"
-#       printf "| $spalte1$spalte2 | \n"
-#    fi
  else
     spalte1=executable:; spalte2=$executable
@@ -2212,74 +2208,71 @@
        fi
 
-       if [[ "$use_makefile" = true ]]
-       then
-
-             # PFADNAMEN FUER DAS MAKE-DEPOSITORY ERMITTELN
-          line=""
-          grep "%depository_path" $config_file  >  tmp_mrun
-          while read line
-          do
-             if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-             then
-                if [[ "$(echo $line | cut -d" " -s -f3)" = "" ]]
-                then
-                   global_depository_path=`echo $line | cut -d" " -s -f2`
-                fi
-             fi
-          done < tmp_mrun
-
-          line=""
-          grep  " $localhost" $config_file | grep "%depository_path"  >  tmp_mrun
-          while read line
-          do
-             if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-             then
-                local_depository_path=`echo $line | cut -d" " -s -f2`
-             fi
-          done < tmp_mrun
-
-          if [[ "$local_depository_path" = "" ]]
-          then
-             if [[ "$global_depository_path" != "" ]]
-             then
-                local_depository_path=$global_depository_path
-             else
-                printf "\n\n  +++ no depository path found in configuration file"
-                printf "\n      for local host \"$localhost\" "
-                printf "\n      please set \"\%depository_path\" in configuration file\n"
-                locat=config_file; exit
-             fi
-          fi
-          eval local_depository_path=$local_depository_path
-
-          basename=`print $mainprog | cut -f1 -d"."`
-          eval make_depository=${local_depository_path}/${basename}_current_version.tar
-          if [[ ! -f $make_depository ]]
-          then
-             printf "\n"
-             printf "\n  *** WARNING: make depository \"$make_depository\" not found"
-             printf "\n               \"make\" will fail, if the Makefile or other source files are missing\n"
+
+          # PFADNAMEN FUER DAS MAKE-DEPOSITORY ERMITTELN
+       line=""
+       grep "%depository_path" $config_file  >  tmp_mrun
+       while read line
+       do
+          if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+          then
+             if [[ "$(echo $line | cut -d" " -s -f3)" = "" ]]
+             then
+                global_depository_path=`echo $line | cut -d" " -s -f2`
+             fi
+          fi
+       done < tmp_mrun
+
+       line=""
+       grep  " $localhost" $config_file | grep "%depository_path"  >  tmp_mrun
+       while read line
+       do
+          if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+          then
+             local_depository_path=`echo $line | cut -d" " -s -f2`
+          fi
+       done < tmp_mrun
+
+       if [[ "$local_depository_path" = "" ]]
+       then
+          if [[ "$global_depository_path" != "" ]]
+          then
+             local_depository_path=$global_depository_path
           else
-             cp  $make_depository  $TEMPDIR_COMPILE
-             cd  $TEMPDIR_COMPILE
-             tar -xf  $make_depository  >  /dev/null  2>&1
-             cd -  > /dev/null
-          fi
-
-          cp  SOURCES_FOR_RUN_$fname/*  $TEMPDIR_COMPILE
-
-             # FALLS USER-INTERFACE VORHANDEN UND AUF DATEI MIT ANDEREM NAMEN
-             # ALS user_interface.f90 LIEGT, DIESEN GEAENDERTEN NAMEN INS
-             # MAKEFILE EINTRAGEN
+             printf "\n\n  +++ no depository path found in configuration file"
+             printf "\n      for local host \"$localhost\" "
+             printf "\n      please set \"\%depository_path\" in configuration file\n"
+             locat=config_file; exit
+          fi
+       fi
+       eval local_depository_path=$local_depository_path
+
+       basename=`print $mainprog | cut -f1 -d"."`
+       eval make_depository=${local_depository_path}/${basename}_current_version.tar
+       if [[ ! -f $make_depository ]]
+       then
+          printf "\n"
+          printf "\n  *** WARNING: make depository \"$make_depository\" not found"
+          printf "\n               \"make\" will fail, if the Makefile or other source files are missing\n"
+       else
+          cp  $make_depository  $TEMPDIR_COMPILE
           cd  $TEMPDIR_COMPILE
-          interface_file=`grep -l "END SUBROUTINE user_parin" $source_list`
-          if [[ "$interface_file" != "" ]]
-          then
-             interface_file=`echo $interface_file | cut -d"." -f1`
-             mv  Makefile  Makefile_old
-             sed "s/user_interface/$interface_file/g"  Makefile_old  >  Makefile
-          fi
+          tar -xf  $make_depository  >  /dev/null  2>&1
           cd -  > /dev/null
        fi
+
+       cp  SOURCES_FOR_RUN_$fname/*  $TEMPDIR_COMPILE
+
+          # FALLS USER-INTERFACE VORHANDEN UND AUF DATEI MIT ANDEREM NAMEN
+          # ALS user_interface.f90 LIEGT, DIESEN GEAENDERTEN NAMEN INS
+          # MAKEFILE EINTRAGEN
+       cd  $TEMPDIR_COMPILE
+       interface_file=`grep -l "END SUBROUTINE user_parin" $source_list`
+       if [[ "$interface_file" != "" ]]
+       then
+          interface_file=`echo $interface_file | cut -d"." -f1`
+          mv  Makefile  Makefile_old
+          sed "s/user_interface/$interface_file/g"  Makefile_old  >  Makefile
+       fi
+       cd -  > /dev/null
     else
        cp  $executable   ${TEMPDIR}/a.out
@@ -2315,88 +2308,22 @@
 
           # COMPILING WITH MAKE (ON NEC COMPILER IS CALLED ON HOST CROSS)
-       if [[ "$use_makefile" = true ]]
-       then
-          printf "\n\n\n  *** compilation starts \n$striche\n"
-          printf "  *** compilation with make using following options:\n"
-          printf "      compilername:             $compiler_name\n"
-          printf "      options:                  $FOPTS\n"
-          printf "      preprocessor-directives:  $C_PPOPTS \n"
-          printf "      linker-options:           $LOPTS \n"
-          printf "      source code files:        $source_list \n"
-
-          if [[ $localhost = nech ]]
-          then
-             ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; cd \$HOME/work/${usern}.$kennung; sxmake -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$C_PPOPTS\"  F90FLAGS=\"$FOPTS\"  LDFLAGS=\"$LOPTS\" "
-             cp  $TEMPDIR_COMPILE/a.out  .
-             [[ $? != 0 ]]  &&  compile_error=true
-             rm -rf  $TEMPDIR_COMPILE
-          else
-             make -f Makefile PROG=a.out  F90=$compiler_name  COPT="$C_PPOPTS"  F90FLAGS="$FOPTS"  LDFLAGS="$LOPTS"
-          fi
-
-          # UEBERSETZUNG "VON HAND" (OHNE MAKE)
+       printf "\n\n\n  *** compilation starts \n$striche\n"
+       printf "  *** compilation with make using following options:\n"
+       printf "      compilername:             $compiler_name\n"
+       printf "      options:                  $fopts\n"
+       printf "      preprocessor-directives:  $cpp_options \n"
+       printf "      linker-options:           $lopts \n"
+       printf "      source code files:        $source_list \n"
+
+       if [[ $localhost = nech ]]
+       then
+          ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; cd \$HOME/work/${usern}.$kennung; sxmake -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          cp  $TEMPDIR_COMPILE/a.out  .
+          [[ $? != 0 ]]  &&  compile_error=true
+          rm -rf  $TEMPDIR_COMPILE
        else
-
-
-             # UEBERSETZUNG DER QUELLTEXT-DATEIEN UND DES HAUPTPROGRAMMS
-             # $CPPOPTS FUER CPP-PRAEPROZESSOR WURDEN OBEN BESTIMMT
-          printf "\n\n\n  *** compilation starts \n$striche\n"
-
-
-             # VORWEG EVTL. UEBERSETZUNG VON PROGRAMMTEILEN MIT SPEZIELLEN
-             # COMPILERN UND/ODER COMPILEROPTIONEN. DIESE WERDEN BEI DER SPAETEREN
-             # EIGENTLICHEN UEBERSETZUNG ALS OBJECT-FILES EINGEBUNDEN
-          new_source_list=""
-          for  filename  in  $source_list
-          do
-
-             basename=`print $filename | cut -f1 -d"."`
-
-                # EVTL. SPEZIELLEN COMPILER FUER UP BESTIMMEN
-             comp_var=$(eval echo \$comp_$basename)  # \$ liefert evtl. fuer source alternativ vereinbarten Compiler
-             comp_opt_var=$(eval echo \$$basename)  # \$$ liefert evtl. fuer source vereinbarte Compiler-Environment-Variable
-
-             if [[ "$comp_var" = ""  &&  "$comp_opt_var" = "" ]]
-             then
-                new_source_list="$new_source_list "$filename
-             else
-
-                if [[ "$comp_var" = "" ]]
-                then
-                   SPECIAL_COMPILER=$compiler_name
-                else
-                   SPECIAL_COMPILER=$comp_var
-                fi
-
-                if [[ "$comp_opt_var" = "" ]]
-                then
-                   SPECIAL_FOPTS=$FOPTS
-                else
-                   SPECIAL_FOPTS="$parallel_options $(eval echo \$$comp_opt_var)"
-                fi
-
-                printf "  *** compiling of $filename with special compiler call: $SPECIAL_COMPILER  $CPPOPTS  -c $SPECIAL_FOPTS \n"
-                $SPECIAL_COMPILER  $C_PPOPTS  -c $SPECIAL_FOPTS  $MODULE_OPTIONS  $filename  
-                if [[ $? != 0 ]]
-                then
-                   printf "\n  +++ compiling error occured"
-                   locat=compile
-                   exit
-                fi
-                new_source_list="$new_source_list "${basename}.o
-             fi
-          done
-          source_list="$new_source_list"
-
-
-             # EIGENTLICHE UEBERSETZUNG MIT DEN NORMALEN OPTIONEN
-          printf "  *** compilation with standard options: $compiler_name $FOPTS $MODULE_OPTIONS \n"
-          printf "      preprocessor-directives:           $C_PPOPTS \n"
-          printf "      linker-options:                    $LOPTS \n"
-          printf "      source code files:                 $source_list \n"
-
-          $compiler_name  $C_PPOPTS  $FOPTS  $MODULE_OPTIONS  $LOPTS  $source_list  
-
-       fi
+          make -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
+       fi
+
        if [[ $? != 0  ||  "$compile_error" = true  ||  "$module_compile_error" = true ]]
        then
@@ -2907,5 +2834,5 @@
 
              fi
-          elif [[ $host = lcmuk ]]
+          elif [[ $(echo $host | cut -c1-2) = lc  &&  $host != lctit ]]
           then
 
@@ -3106,31 +3033,21 @@
                    echo "set -x"                                    >    transfer_${localout[$i]}
                    echo "cd  $tmp_data_catalog/TRANSFER"            >>   transfer_${localout[$i]}
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      if [[ $files_for_pes = true ]]
-                      then
-                         printf "\n  +++ WARNING: no transfer of catalogs via ftpcopy\n"
-                      fi
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  by FTP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
-                      printf "\n              or higher cycle\n"
-                      echo "ftpcopy -b -m $return_addres $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst"
-                      printf "\n              or higher cycle\n"
-                      echo "batch_scp $cps -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   fi
+
+                   printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP in seperate job to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst"
+                   printf "\n              or higher cycle\n"
+                   echo "batch_scp $cps -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
+
                    echo "[[ \$? = 0 ]]  &&  rm  $file_to_transfer"  >>  transfer_${localout[$i]}
 
                    if [[ $localhost = nech ]]
                    then
-                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                    else
                       if [[ "$LOGNAME" = b323013 ]]
                       then
-                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       else
-                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       fi
                    fi
@@ -3140,20 +3057,8 @@
                       # TRANSFER INNERHALB DIESES JOBS
                    transfer_failed=false
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      if [[ $files_for_pes = true ]]
-                      then
-                         printf "\n  +++ WARNING: no transfer of catalogs via ftpcopy\n"
-                      fi
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  by FTP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                      ftpcopy -b -m $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst\n"
-                      batch_scp $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   fi
+                   printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst\n"
+                   batch_scp $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   [[ $? != 0 ]]  &&  transfer_failed=true
 
                       # BEI FEHLGESCHLAGENEM TRANSFER SICHERUNGSKOPIE AUF
@@ -3203,27 +3108,21 @@
                    echo "set -x"                                    >    transfer_${localout[$i]}
                    echo "cd  $tmp_data_catalog/TRANSFER"            >>   transfer_${localout[$i]}
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by FTP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
-                      printf "\n              or higher cycle\n"
-                      echo "ftpcopy -A -b -m $return_addres $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
-                      printf "\n              or higher cycle\n"
-                      echo "batch_scp -A -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   fi
+
+                   printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP in seperate job to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
+                   printf "\n              or higher cycle\n"
+                   echo "batch_scp -A -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
+
                    echo "[[ \$? = 0 ]]  &&  rm  $file_to_transfer"  >>  transfer_${localout[$i]}
 
                    if [[ $localhost = nech ]]
                    then
-                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                    else
                       if [[ $LOGNAME = b323013 ]]
                       then
-                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       else
-                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       fi
                    fi
@@ -3233,16 +3132,8 @@
                       # TRANSFER INNERHALB DIESES JOBS
                    transfer_failed=false
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by FTP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                      ftpcopy -A -b -m $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                      batch_scp -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   fi
+                   printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
+                   batch_scp -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   [[ $? != 0 ]]  &&  transfer_failed=true
 
                       # BEI FEHLGESCHLAGENEM TRANSFER SICHERUNGSKOPIE AUF
@@ -3413,8 +3304,8 @@
                    if [[ $localhost = ibmh  ||  $localhost = ibmb ]]
                    then
-                      subjob  -d  -v  -q cdata  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                      subjob  -d  -v  -q cdata  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                    elif [[ $localhost = nech ]]
                    then
-                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                    fi
                    printf "              Archiving of $tmp_data_catalog/${frelout[$i]} initiated (batch job submitted)\n"
@@ -3537,5 +3428,5 @@
                 fi
 
-                subjob  -v  -d  -q cdata  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                subjob  -v  -d  -q cdata  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                 printf "              Archiving of $tmp_data_catalog/${frelout[$i]} initiated (batch job submitted)\n"
                 file_saved=true
@@ -3571,5 +3462,5 @@
                 fi
 
-                subjob  -v  -c /pf/b/$usern/job_queue  -d  -q pp  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                subjob  -v  -c /pf/b/$usern/job_queue  -d  -q pp  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                 printf "              Archiving of $tmp_data_catalog/${frelout[$i]} initiated (batch job submitted)\n"
                 file_saved=true
@@ -3754,5 +3645,5 @@
 
        # MRUN-BEFEHL FUER REMOTE-MASCHINE ZUSAMMENSTELLEN
-    mrun_com="$mrun_script_name -a $afname -c $config_file -d $fname -f $filetransfer_protocol -h $host -H $fromhost -m $memory -t $cpumax -q $queue -R $return_addres -U $return_username -u $remote_username"
+    mrun_com="$mrun_script_name -a $afname -c $config_file -d $fname -h $host -H $fromhost -m $memory -t $cpumax -q $queue -R $return_addres -U $return_username -u $remote_username"
     [[ "$cpp_opts" != "" ]]       &&  mrun_com=${mrun_com}" -D \"$cpp_opts\""
     [[ "$global_revision" != "" ]]  &&  mrun_com=${mrun_com}" -G \"$global_revision\""
@@ -3827,13 +3718,10 @@
        done
 
-       if [[ "$use_makefile" = true ]]
-       then
-             # ABDECKZEICHEN VERHINDERN, DASS ERSETZUNGEN ERFOLGEN
-          echo  "cat > Makefile << \"%END%\""               >>  $jobfile
-          cat   $source_catalog/Makefile                    >>  $jobfile
-          echo  " "                                         >>  $jobfile
-          echo  "%END%"                                     >>  $jobfile
-          echo  " "                                         >>  $jobfile
-       fi
+          # ABDECKZEICHEN VERHINDERN, DASS ERSETZUNGEN ERFOLGEN
+       echo  "cat > Makefile << \"%END%\""               >>  $jobfile
+       cat   $source_catalog/Makefile                    >>  $jobfile
+       echo  " "                                         >>  $jobfile
+       echo  "%END%"                                     >>  $jobfile
+       echo  " "                                         >>  $jobfile
 
        echo  "cd -  > /dev/null"                         >>  $jobfile
@@ -3882,10 +3770,5 @@
              echo  "%END%"                                    >>  $jobfile
           else
-             if [[ $filetransfer_protocol = ftp ]]
-             then
-                echo  "ftpcopy -b -o -g -s $return_addres ${remotepathin[$i]} \"${pathin[$i]}\" ${frelin[$i]}" >>  $jobfile
-             else
-                echo  "batch_scp -b -o -g -s -u $return_username $return_addres ${remotepathin[$i]} \"${pathin[$i]}\" ${frelin[$i]}" >>  $jobfile
-             fi
+             echo  "batch_scp -b -o -g -s -u $return_username $return_addres ${remotepathin[$i]} \"${pathin[$i]}\" ${frelin[$i]}" >>  $jobfile
           fi
 
@@ -3936,5 +3819,5 @@
     fi
 
-    subjob  $job_on_file  -h $host  -u $remote_username  -q $queue  -m $memory  -N $node_usage -t $cpumax  $XOPT  $TOPT  $OOPT  -n $fname  -f $filetransfer_protocol  -v   $jobfile
+    subjob  $job_on_file  -h $host  -u $remote_username  -q $queue  -m $memory  -N $node_usage -t $cpumax  $XOPT  $TOPT  $OOPT  -n $fname  -v   $jobfile
     rm -rf  $jobfile
 
